Variables API
Create a variable
Create a new text or secret project variable. File-type variables are managed through the project UI upload workflow rather than this public JSON endpoint.
Authorization
bearerAuth AuthorizationBearer <token>
CLI token (sck_live_*) for full API access, or trigger key (sck_trigger_* / legacy job_*) for job trigger endpoint only.
In: header
Request Body
application/json
key*string
value*string
isSecret?boolean
Default
falsedescription?string
Response Body
application/json
application/json
curl -X POST "https://demo.supercheck.dev/api/variables" \ -H "Content-Type: application/json" \ -d '{ "key": "API_BASE_URL", "value": "https://api.example.com" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
"key": "string",
"type": "variable",
"value": "string",
"isSecret": true,
"description": "string",
"fileName": "string",
"fileSize": 0,
"mimeType": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"error": "Unauthorized"
}